<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */


	session_start(); 

	// PHP-Includes
	include_once("../../conf/config.inc.php");
	include_once(DATEIPFAD . "conf/db.inc.php");
	include_once(DATEIPFAD . "includes/language/langu_" . LANGU_ADMIN . ".inc.php");
	include_once(DATEIPFAD . "includes/language/langu_admin_" . LANGU_ADMIN . ".inc.php");
	include_once(DATEIPFAD . "includes/functions.kunden.inc.php");
	include_once(DATEIPFAD . "includes/functions.artikel.inc.php");
	include_once(DATEIPFAD . "includes/functions.lieferstatus.inc.php");
	include_once(DATEIPFAD . "includes/functions.global.inc.php");
    include_once(DATEIPFAD . "includes/functions.seo.inc.php");
	
	// ID des Artikels ermitteln
	if ($_POST["artikelid"]) { $ArtikelID = $_POST["artikelid"]; };
	if ($_GET["artikelid"]) { $ArtikelID = $_GET["artikelid"]; };

	// Einstellungen fuer die Uebersicht
	if ($_POST["searchfield"]) { $SearchField = $_POST["searchfield"]; };
	if ($_GET["searchfield"]) { $SearchField = $_GET["searchfield"]; };
	if ($_POST["searchstring"]) { $SearchString = $_POST["searchstring"]; };
	if ($_GET["searchstring"]) { $SearchString= $_GET["searchstring"]; };
	if ($_POST["dataoffset"]) { $DataOffset = $_POST["dataoffset"]; };
	if ($_GET["dataoffset"]) { $DataOffset = $_GET["dataoffset"]; };
	if ($_POST["datacount"]) { $DataCount = $_POST["datacount"]; };
	if ($_GET["datacount"]) { $DataCount = $_GET["datacount"]; };
	if ($_POST["sortfield"]) { $SortField = $_POST["sortfield"]; };
	if ($_GET["sortfield"]) { $SortField = $_GET["sortfield"]; };
	if ($_POST["sortorder"]) { $SortOrder = $_POST["sortorder"]; };
	if ($_GET["sortorder"]) { $SortOrder = $_GET["sortorder"]; };
	if ($_POST["languageid"]) { $LanguageID = $_POST["languageid"]; };
	if ($_GET["languageid"]) { $LanguageID = $_GET["languageid"]; };

	
	// Sortierreihenfolge
	if ($_GET["formaction"] == "neworder") {
		
		if ($SortOrder == "asc") {
			$SortOrder = "desc";
		} else {
			$SortOrder = "asc";
		}
		
	}

	// Sprache
	if (!$LanguageID) {
		$LanguageID = GetDefaultLanguageID();
	}

	// Sprachen einlesen
	$LanguageDataArray = GetLanguageDataArray(TABLE_LANGUAGE . ".language_name", "ASC", $LanguageID);

	// ****************************************************************************
	// ** Loeschen eines Artikels                                                 **
	// ****************************************************************************

	// Bestaetigung der Aktion
	if (($_GET["formaction"] == "loeschen") && (!$_GET["confirmaction"])) {
	
		$ArtikelObject = GetArtikelDetail($ArtikelID);
				
		$FormError = true;
		$FormErrorMessage = sprintf($a_ar_msg_artikelloeschen, $ArtikelObject->admin_artikel_name);
		$FormErrorButtonArray[0]["link"] = "index.php?formaction=loeschen&confirmaction=true&artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount;
		$FormErrorButtonArray[0]["text"] = $a_ja;
		$FormErrorButtonArray[1]["link"] = "index.php?searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount;
		$FormErrorButtonArray[1]["text"] = $a_nein;

	}

	// Loeschen der Daten
	if (($_GET["formaction"] == "loeschen") && ($_GET["confirmaction"] == "true")) {
	
		// Artikel loeschen
		DeleteArtikel($ArtikelID);
		
	}


	// ****************************************************************************
	// ** Onlinestatus setzen
	// ****************************************************************************
	if ($_GET["formaction"] == "onlinestatus") {
		$statusswitch_result = SetArtikelOnlinestatus($ArtikelID);
		if($statusswitch_result['result'] === 'group_not_activateable')
		{
			$FormError = true;
			$FormErrorMessage = $a_ar_gruppe_aktivieren; 
			foreach($statusswitch_result['artikel'] as $artikel)
			{
				if($more)
					$FormErrorMessage .= ", ";
				else
					$more = true;

				$FormErrorMessage .= $artikel['artikel_name'];
			}
			
		}
		else if($statusswitch_result['result'] === 'groups_deactivated')
		{
			$FormError = true;
			$FormErrorMessage = $a_ar_gruppen_mit_deaktiviert;
			foreach($statusswitch_result['groups'] as $gruppe)
			{
				if($more)
					$FormErrorMessage .= ", ";
				else
					$more = true;

				$FormErrorMessage .= $gruppe['artikel_name'];
			}
		}
	}
	

	// ****************************************************************************
	// ** Lieferstatus setzen
	// ****************************************************************************
	if ($_GET["formaction"] == "lieferstatus") {
		SetArtikelLieferstatus($ArtikelID);
	}


	// ****************************************************************************
	// ** Startseitenangebot setzen
	// ****************************************************************************
	if ($_GET["formaction"] == "startseitenangebot") {
		SetArtikelStartseitenangebot($ArtikelID);
	}
	
	// ****************************************************************************
	// ** Startseitenangebot setzen
	// ****************************************************************************
	if ($_GET["formaction"] == "aktuellartikel") {
		SetAktuellArtikelStartseiten($ArtikelID);
	}

	// ****************************************************************************
	// ** Artikel kopieren
	// ****************************************************************************
	if ($_GET["formaction"] == "kopieren") {
		CopyArtikel($ArtikelID);
	}

	// ********************************************************************************
	// ** Fehlermeldung aufbereiten
	// ********************************************************************************
	if ($FormError) {
	
		$FormErrorString = "<table cellspacing=\"0\" cellpadding=\"1\" border=\"0\" width=\"100%\">";
		$FormErrorString .= "<tr>";
		$FormErrorString .= "<td class=\"fehler\">";
		$FormErrorString .= $FormErrorMessage;
		$FormErrorString .= "</td>";		
		
		if ($FormErrorButtonArray) {
			
			$FormErrorString .= "<tr>";
			$FormErrorString .= "<td>";

			foreach ($FormErrorButtonArray as $FormErrorButton) {
				
				$FormErrorString .= "<a href=\"" . $FormErrorButton["link"] . "\">" . $FormErrorButton["text"] . "</a> | ";
				
			}
			
			$FormErrorString = substr($FormErrorString, 0, strlen($FormErrorString) - 3);
			
			$FormErrorString .= "</td>";		
			$FormErrorString .= "</tr>";

		}
		
		$FormErrorString .= "</tr>";
		$FormErrorString .= "</table>";
		$FormErrorString .= "<br>";
		
	}


?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title><?php echo $a_admin;?></title>
	<link rel="stylesheet" type="text/css" href="../style/style.css">
	<script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET?>">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="pragma" content="no-cache">
	<meta HTTP-EQUIV="Expires" CONTENT="0">
</head>

<body class="mainBackground">
<?php

	echo $FormErrorString;

	// ********************************************************************************
	// ** Standardeinstellungen für die Übersicht
	// ********************************************************************************

	if (!$DataOffset) { $DataOffset = 0; };
	if (!$DataCount) { $DataCount = 30; };
	if (!$SortField) { $SortField = TABLE_ARTIKEL . ".artikel_nr"; };
	if (!$SortOrder) { $SortOrder = "asc"; };
	
	
		
	// ********************************************************************************
	// ** "Neuen Artikel anlegen"
	// ********************************************************************************

	echo "<a id='button_neuen_artikel_anlegen' href=\"editieren_grunddaten.php?sessionReset=1\"><b class=\"tdBackground1\">" . $a_ar_button_neuerartikel . "</b></a>\n";
	
	echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" width=\"100%\">\n";
	echo "<tr>";
	echo "<td width=\"99%\" align=\"right\">";
	foreach ($LanguageDataArray as $LanguageData) {
		echo "<a href=\"" . $LanguageData["language_select_url"] . "\">" . $LanguageData["language_image_admintool_imagestring"] . "</a>&nbsp;";
	}
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table><br>\n";


	// ********************************************************************************
	// ** Suche
	// ********************************************************************************

	echo "<table cellspacing=\"2\" cellpadding=\"2\" border=\"0\">\n";
	echo "<form name=\"form_suchen\" method=\"post\" action=\"index.php\">\n";
	echo "<input type=\"hidden\" name=\"sortfield\" value=\"" . $SortField . "\">\n";
	echo "<input type=\"hidden\" name=\"sortorder\" value=\"" . $SortOrder . "\">\n";
	echo "<tr>\n";
	echo "<td>$a_sucheNach</td>\n";
	echo "<td>";
	echo "<select name=\"searchfield\" class=\"formselect_klein\">\n";

	if ($SearchField == TABLE_ARTIKEL . ".artikel_nr") {
		echo "<option value=\"" . TABLE_ARTIKEL . ".artikel_nr\" selected>" . $a_ar_artikelnummer . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_ARTIKEL . ".artikel_nr\">" . $a_ar_artikelnummer . "</option>\n";
	}
	
	if ($SearchField == TABLE_ARTIKEL_LANGU . ".artikel_name") {
		echo "<option value=\"" . TABLE_ARTIKEL_LANGU . ".artikel_name\" selected>" . $a_ar_artikelname . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_ARTIKEL_LANGU . ".artikel_name\">" . $a_ar_artikelname . "</option>\n";
	}

    if ($SearchField == TABLE_KATEGORIE_LANGU . ".name") {
        echo "<option value=\"" . TABLE_KATEGORIE_LANGU . ".name\" selected>" . $a_ar_kategorie . "</option>\n";
    } else {
        echo "<option value=\"" . TABLE_KATEGORIE_LANGU . ".name\">" . $a_ar_kategorie . "</option>\n";
    }

	echo "</select></td>\n";
	echo "<td><input type=\"text\" name=\"searchstring\" value=\"" . $SearchString . "\" size=\"15\"></td>\n";
	echo "<td><input type=\"submit\" name=\"suchen\" value=\"" . $a_ar_button_suchen . "\"></td>\n";
	echo "<td><input type=\"reset\" name=\"zuruecksetzen\" value=\"" . $a_ar_button_zuruecksetzen . "\" onclick=\"document.form_suchen.searchfield.options[0].selected = true; document.form_suchen.searchstring.value = 0; document.form_suchen.submit();\"></td>\n";
	echo "</tr>\n";
	echo "</form>\n";
	echo "</table><br>\n";


	// ********************************************************************************
	// ** �bersicht der Artikel
	// ********************************************************************************
	
	// Suche innerhalb der Merkmalkombinationen
	if ($SearchField == "shop_artikel.artikel_nr") {
		$FilterMerkmalkombinationen	= 0;
		$OptionVarianten = 2;
	} else {
		$FilterMerkmalkombinationen	= 1;
		$OptionVarianten = 0;
	}
	
	
	$ArtikelDataArray = GetArtikelDataArray($SearchField, $SearchString, $SortField, $SortOrder, $DataOffset, $DataCount, "", "", "", "", "", "", $FilterMerkmalkombinationen, "", "", "", $OptionVarianten, "", "", $LanguageID);
	
	echo "<table cellspacing=\"2\" cellpadding=\"2\" border=\"0\" width=\"100%\">\n";
	echo "<tr>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"90\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"100\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"90%\"><img src=\"../images/trans.gif\" width=\"1\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"70\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"70\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"50\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"50\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"50\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL . ".artikel_nr&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_artikelnummer . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\">" . $a_ar_kategorie . "</td>\n";
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL_LANGU . ".artikel_name&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_artikelname . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"right\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL . ".preis_netto&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_preisnetto . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"right\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL . ".preis_brutto&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_preisbrutto . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"center\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL . ".aktiv&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_onlinestatus_br . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"center\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_LIEFERSTATUS . ".sort&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_lieferstatus_br . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"center\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL . ".startseitenangebot&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_ar_startseitenangebot_br . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"center\"><b><a href=\"index.php?formaction=neworder&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . TABLE_ARTIKEL . ".aktuellartikel&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $lang_admin_neu . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"center\"><b>" . $a_ar_sprachen . "</b></td>\n";
	echo "<td class=\"tdBackground1\">&nbsp;</td>\n";
	echo "<td class=\"tdBackground1\">&nbsp;</td>\n";
	echo "<td class=\"tdBackground1\">&nbsp;</td>\n";
	echo "</tr>\n";

	foreach ($ArtikelDataArray as $ArtikelData) {

		// Zebrastreifenmuster
		if ($BackgroundClass == "tdBackground2") {
			$BackgroundClass = "";
		} else {
			$BackgroundClass = "tdBackground2";
		}
		
		// Kategorie
		if ($ArtikelData["kategoriename_array"]) {
			$KategorieString = implode("<br>", $ArtikelData["kategoriename_array"]);
		} else {
			$KategorieString = "<i>" . $a_ar_keinekategoriezugeordnet . "</i>";
		}
		
		// ArtikelID
		if ($ArtikelData["merkmalkombinationparentid"]) {
			$ArtikelID = $ArtikelData["merkmalkombinationparentid"];
		} else {
			$ArtikelID = $ArtikelData["id"];
		}
		
		// Merkmalkombination
		if ($ArtikelData["merkmalkombinationparentid"]) {

			$Artikelname = $ArtikelData["artikelname"] . "<br>(";	

			foreach ($ArtikelData["varianten_array"] as $Merkamle) {
				$Artikelname .= $Merkamle["merkmalname"] . "/";	
			}

			$Artikelname = substr($Artikelname, 0, strlen($Artikelname) - 1);

			$Artikelname .= ")";	

		} else {
			$Artikelname = $ArtikelData["artikelname"];	
		}

		echo "<tr>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\">" . $ArtikelData["artikelnummer"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\" nowrap><a href=\"editieren_kategorie.php?artikelid=" . $ArtikelID . "\">" . $KategorieString ."</a></td>\n";

		if ($ArtikelData["translate_artikel_name"]) {
			echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\"><a href=\"editieren_grunddaten.php?artikelid=" . $ArtikelID . "\" style=\"padding:3px 0 5px 0;\">" . $Artikelname . "</a></td>\n";
		} else {
			echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\"><span class=\"untranslate\">" . $c_landnichtuebersetzt . "</span><br><span class=\"untranslate_standard\">" . $Artikelname . "</span></td>\n";
		}


		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\" align=\"right\">" . $ArtikelData["preis_netto"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\" align=\"right\">" . $ArtikelData["preis_brutto"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?artikelid=" . $ArtikelData["id"] . "&formaction=onlinestatus&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $ArtikelData["aktiv_imagestring"] ."</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?artikelid=" . $ArtikelData["id"] . "&formaction=lieferstatus&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $ArtikelData["lieferstatus_smallimagestring"] ."</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?artikelid=" . $ArtikelID . "&formaction=startseitenangebot&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $ArtikelData["startseitenangebot_imagestring"] ."</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?artikelid=" . $ArtikelID . "&formaction=aktuellartikel&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $ArtikelData["aktuellartikel_imagestring"] ."</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\"  style=\"text-align: left;\" nowrap>";
		foreach ($ArtikelData["languagearray"] as $Language) {
			echo "<a href=\"editieren_grunddaten.php?artikelid=" . $ArtikelData["id"] . "&languageid=" . $Language["language_id"] . "&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $Language["language_image_admintool_imagestring"] . "</a>&nbsp;";
		}
		echo "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"editieren_grunddaten.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\"><img src=\"../images/edit_button.gif\" width=\"10\" height=\"12\" alt=\"" . sprintf($a_leg_bearbeiten, $a_ar_artikel) . "\" border=\"0\"></a></td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?artikelid=" . $ArtikelID . "&formaction=kopieren&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\"><img src=\"../images/button_kopieren.gif\" width=\"15\" height=\"13\" alt=\"" . sprintf($a_leg_kopieren, $a_ar_artikel) . "\" border=\"0\"></a></td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?artikelid=" . $ArtikelData["id"] . "&formaction=loeschen&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\"><img src=\"../images/loeschen_button.gif\" width=\"13\" height=\"12\" alt=\"" . sprintf($a_leg_loeschen, $a_ar_artikel) . "\" border=\"0\"></a></td>\n";
		echo "</tr>\n";

	}

	echo "</table><br>\n";

	// ********************************************************************************
	// ** Vor- und Zurück-Button
	// ********************************************************************************

	$ArtikelAnzahl = GetArtikelAnzahl($SearchField, $SearchString,  "", "", "", "", "", $FilterMerkmalkombinationen, "", "", "", "", $LanguageID);
	
	echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" align=\"center\">\n";
	echo "<tr>\n";

	// Zur�ck-Button
	if ($DataOffset > 0) {
		echo "<td>\n";
		echo "<a href=\"index.php?&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . ($DataOffset - $DataCount) . "&datacount=" . $DataCount . "\"><b>" . sprintf($a_ar_button_zurueck, $DataCount). "</b></a>";
		echo "</td>\n";
	}
	
	echo "<td>&nbsp;&nbsp;</td>\n";

	// Vor-Button
	if ($ArtikelAnzahl > ($DataOffset + $DataCount)) {
		
		if (($ArtikelAnzahl - $DataCount - $DataOffset) > $DataCount) {
			$WeitereEintraege = $DataCount;
		} else {
			$WeitereEintraege = $ArtikelAnzahl - $DataCount - $DataOffset;
		}	
		
		echo "<td>\n";
		echo "<a href=\"index.php?&searchfield=" . $SearchField . "&searchstring=" . urlencode($SearchString) . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . ($DataOffset + $DataCount) . "&datacount=" . $DataCount . "\"><b>" . sprintf($a_ar_button_vor, $WeitereEintraege). "</b></a>";
		echo "</td>\n";
		
	}
	
	echo "</tr>\n";
	echo "</table>\n";

	// ********************************************************************************
	// ** Legende
	// ********************************************************************************

	$LieferstatusDataArray = GetLieferstatusDataArray("", "", TABLE_LIEFERSTATUS . ".sort", "ASC");
	
	echo "<table cellspacing=\"0\" cellpadding=\"3\" border=\"0\">";
	echo "<tr>";
	echo "<td colspan=\"2\"><b>" . $a_legende . "</b></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><img src=\"../images/edit_button.gif\" width=\"9\" height=\"12\" alt=\"" . sprintf($a_leg_bearbeiten, $a_ar_artikel) . "\" border=\"0\"></td>";
	echo "<td>" . sprintf($a_leg_bearbeiten, $a_ar_artikel) . "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><img src=\"../images/button_kopieren.gif\" width=\"15\" height=\"13\" alt=\"" . sprintf($a_leg_kopieren, $a_ar_artikel) . "\" border=\"0\"></td>";
	echo "<td>" . sprintf($a_leg_kopieren, $a_ar_artikel) . "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><img src=\"../images/loeschen_button.gif\" width=\"13\" height=\"12\" alt=\"" . sprintf($a_leg_loeschen, $a_ar_artikel) . "\" border=\"0\"></td>";
	echo "<td>" . sprintf($a_leg_loeschen, $a_ar_artikel) . "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><img src=\"../images/on.gif\" width=\"20\" height=\"12\"></td>";
	echo "<td>" . $a_ar_onlinestatus . ": " . $a_ar_onlinstatus_online . "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><img src=\"../images/off.gif\" width=\"21\" height=\"12\"></td>";
	echo "<td>" . $a_ar_onlinestatus . ": " . $a_ar_onlinstatus_offline . "</td>";
	echo "</tr>";

	foreach ($LieferstatusDataArray as $LieferstatusData) {
		echo "<tr>";
		echo "<td>" . $LieferstatusData["imagesmall_imagestring"] . "</td>";
		echo "<td>" . $a_ar_lieferstatus . ": " . $LieferstatusData["name"] . "</td>";
		echo "</tr>";
	}

	echo "</table>";

?>

</body>
</html>
